package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag971;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT971Creator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag20Creator extends AbsTagCreate {

    private MT971Creator mt971Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt971Creator= (MT971Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value=mt971Creator.getTranReferenceNum();
        mt971Creator.set("20",tag20Value);
    }
}
